Supported Databases

Vitess deploys, scales and manages clusters of open-source SQL database instances. Currently, Vitess supports the MySQL, Percona Server for MySQL, and to a limited extent MariaDB databases.

The VTGate proxy server advertises its version as MySQL 5.7.

MySQL versions 5.6 to 8.0 #

Vitess supports the core features of MySQL versions 5.6 to 8.0, with some limitations. Vitess also supports Percona Server for MySQL versions 5.6 to 8.0.

For new Vitess installations, MySQL or Percona Server for MySQL version 8 are recommended.
MySQL and Percona Server for MySQL 5.6 are no longer supported in Vitess 13.0 and later.

MariaDB versions 10.0 to 10.3 #

Vitess supports the core features of MariaDB versions 10.0 to 10.3. Vitess does not yet support later versions of MariaDB.

See also #